App öffnen
Moonborn — API · marketplace

Update listing metadata (title/summary/license/price/tags)

License changes that are *more* restrictive (e.g. cc_by → cc_by_nc) trigger a re-moderation cycle and the listing flips to `in_review` until cleared. Less-restrictive changes pass through.

PATCH/v1/marketplace/listings/{id}scope · Bearer (API key or session JWT)
Path parameters
FieldTypeDescription
idreqstringListing id (e.g. `lst_*`).
Request body
FieldTypeDescription
titlestring
summarystring
descriptionstring
licensestring · "cc_by" | "cc_by_sa" | "cc_by_nc" | "cc_by_nd" | "commercial" | "proprietary"
priceUsdMicrosnumber
tagsstring[]

Responses

200OK
Body
FieldTypeDescription
listingIdreqstring
slugreqstring
orgIdreqstring
personaIdreqstring
titlereqstring
summaryreqstring
licensereqstring · "cc_by" | "cc_by_sa" | "cc_by_nc" | "cc_by_nd" | "commercial" | "proprietary"
priceUsdMicrosreqnumber
statusreqstring · "draft" | "in_review" | "published" | "unpublished" | "removed"
ratingsAvgreqnumber
ratingsCountreqnumber
installsreqnumber
forksreqnumber
tagsreqstring[]
publishedAtreqstring
updatedAtreqstring
descriptionreqstring
moderationFlagsstring[]
401Unauthenticated
Body
FieldTypeDescription
errorreqobject
error.codereqstring
error.messagereqstring
403Caller is not the listing owner
Body
FieldTypeDescription
errorreqobject
error.codereqstring
error.messagereqstring
404Listing not found
Body
FieldTypeDescription
errorreqobject
error.codereqstring
error.messagereqstring
422Validation error
Body
FieldTypeDescription
errorreqobject
error.codereqstring
error.messagereqstring

Examples

cURL
curl -X PATCH https://api.moonborn.co/v1/marketplace/listings/<id> \
  -H "Authorization: Bearer $MOONBORN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
      "title": "<string>",
      "summary": "<string>",
      "description": "<string>",
      "license": "cc_by",
      "priceUsdMicros": 0,
      "tags": [
        "<string>"
      ]
    }'
TypeScript
import Moonborn from '@moonborn/sdk';

const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });

const result = await client.marketplace.updateListing({
  id: '<id>',
  title: "<string>",
  summary: "<string>",
  description: "<string>",
  license: "cc_by",
  priceUsdMicros: 0,
  tags: ["<string>"],
});
Python
import os
from moonborn import Moonborn

client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"])

result = client.marketplace.update_listing(
    id="<id>",
    title="<string>",
    summary="<string>",
    description="<string>",
    license="cc_by",
    price_usd_micros=0,
    tags=["<string>"],
)